### Method

# EDataServer Source has_extension

since: 3.6

#### Declaration [src]

    gboolean
    e_source_has_extension (
      ESource* source,
      const gchar* extension_name
    )

#### Description [src]

Checks whether `source` has an `ESourceExtension` with the given name.

Available since: 3.6

#### Parameters

`extension_name`

  Type: `const gchar*`

  An extension name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `source` has such an extension, `FALSE` if not.